## org.springframework.beans.factory.xml
Class BeansDtdResolver

    java.lang.Object
      org.springframework.beans.factory.xml.BeansDtdResolver

All Implemented Interfaces:
  EntityResolver

    public class BeansDtdResolver

extends Object
implements EntityResolver

EntityResolver implementation for the Spring beans DTD, to load the DTD from the Spring class path (or JAR file).

Fetches "spring-beans-2.0.dtd" from the class path resource "/org/springframework/beans/factory/xml/spring-beans-2.0.dtd", no matter whether specified as some local URL that includes "spring-beans" in the DTD name or as "http://www.springframework.org/dtd/spring-beans-2.0.dtd".

Since:
  04.06.2003
Author:
  Juergen Hoeller, Colin Sampaleanu
See Also:
  `ResourceEntityResolver`

Constructor Summary
`BeansDtdResolver()`

Method Summary
`InputSource` `resolveEntity(String publicId, String systemId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeansDtdResolver

    public BeansDtdResolver()

Method Detail

### resolveEntity

    public InputSource resolveEntity(String publicId,
                                     String systemId)
                              throws IOException

  Specified by:
    `resolveEntity` in interface `EntityResolver`
  Throws:
    `IOException`

Copyright © 2002-2008 The Spring Framework.